org.apache.hadoop.hdfs.qjournal.protocol

## Interface QJournalProtocolProtos.NewEpochResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    QJournalProtocolProtos.NewEpochResponseProto, QJournalProtocolProtos.NewEpochResponseProto.Builder
  Enclosing class:
    QJournalProtocolProtos

      public static interface QJournalProtocolProtos.NewEpochResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastSegmentTxId()` `optional uint64 lastSegmentTxId = 1;`
    `boolean` | `hasLastSegmentTxId()` `optional uint64 lastSegmentTxId = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasLastSegmentTxId

          boolean hasLastSegmentTxId()

      `optional uint64 lastSegmentTxId = 1;`

    - #### getLastSegmentTxId

          long getLastSegmentTxId()

      `optional uint64 lastSegmentTxId = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.